export declare type TEvent = {
    [key in ListenerEventName]: (data?: any) => void;
};
export declare type EventName = "success" | "failed";
export interface IData {
    amount: number;
    theme?: string;
    countries?: string[];
    paymentMethods?: string[];
    paymentmethod?: string[];
    fullname?: string;
    firstname?: string;
    lastname?: string;
    name?: string;
    email?: string;
    phone?: string;
    phoneNumber?: string;
    sandbox?: boolean;
    position?: string;
    key?: string;
    api_key?: string;
    publicAPIKey?: string;
    callback?: string;
    partnerId?: string;
    data?: string | Record<string, any>;
}
export interface ListenerData {
    transactionId: string;
    data?: string | Record<string, any>;
    partnerId?: string;
    flwRef?: string;
}
export declare enum ListenerEventName {
    NETWORK_STATE_CHANGED = "NETWORK_STATE_CHANGED",
    INIT_WIDGET = "INIT_WIDGET",
    WIDGET_SUCCESSFULLY_INIT = "WIDGET_SUCCESSFULLY_INIT",
    CLOSE_WIDGET = "CLOSE_WIDGET",
    DESTROY_WIDGET = "DESTROY_WIDGET",
    WIDGET_SUCCESSFULLY_DESTROYED = "WIDGET_SUCCESSFULLY_DESTROYED",
    PAYMENT_INIT = "PAYMENT_INIT",
    PAYMENT_ABORTED = "PAYMENT_ABORTED",
    PENDING_PAYMENT = "PENDING_PAYMENT",
    ON_USER_FEEDBACK = "ON_USER_FEEDBACK",
    PAYMENT_FAILED = "PAYMENT_FAILED",
    PAYMENT_SUCCESS = "PAYMENT_SUCCESS",
    PAYMENT_END = "PAYMENT_END",
    RETRY_PAYMENT = "RETRY_PAYMENT",
    WAVE_LINK = "WAVE_LINK"
}
export interface ILibrary {
    openKkiapayWidget: (configs: IData) => void;
    closeKkiapayWidget: () => void;
    addWidgetInitListener: (cb: () => void) => void;
    addKkiapayCloseListener: (cb: () => void) => void;
    addWidgetDestroyedListener: (cb: () => void) => void;
    addPaymentInitListener: (cb: () => void) => void;
    addPaymentAbortedListener: (cb: (data: ListenerData) => void) => void;
    addPendingListener: (cb: (data: ListenerData) => void) => void;
    addFeedbackListener: (cb: () => void) => void;
    addSuccessListener: (cb: (data: ListenerData) => void) => void;
    addFailedListener: (cb: (data: ListenerData) => void) => void;
    addPaymentEndListener: (cb: () => void) => void;
    removeKkiapayListener: (event: EventName) => void;
    addKkiapayListener: (event: EventName, cb: (data: ListenerData) => void) => void;
    onNetworkStateChanged: (cb: () => void) => void;
}
//# sourceMappingURL=typings.d.ts.map